.container {
  z-index: 0;
}

.text {
  position: relative;
  z-index: 1000;
  padding: 5em 3em;
  width: 55%;
}

.js-section {
  width: 100%;
  max-width: 1000px;
}

#mapFrame {
  transition: background-color .5s linear;
} 

.svgElements {
  pointer-events: none;
}

.staticLabel {
  font-size: 14px;
  color: lightgray;
  text-shadow: 2px 2px 4px #000000;
  cursor: pointer;
}

.staticLabel:hover {
  color: blue;
}

.staticMarker {
  font-size: 14px;
	display: inline-block;
	border-radius: 4px;
	color: #fff;
	position: absolute;
	box-sizing: border-box;
  text-shadow: 2px 2px 4px #000000;
  cursor: pointer;
}

.staticMarker:after {
  position: absolute;
  width: 9px;
  height: 9px;
  content: '';
  background: #fff;
  border-radius: 50%;
  top: -4px;
}

.staticMarker.cross:after {
  content: '\d7';
  color: lightgray;
  font-size: 25px;
  margin-top: -10px;
  width: 0px;
  height: 0px;
}
.staticMarker.left.cross:after { right: -2px; }
.staticMarker.right.cross:after { left: -19px; }
.staticMarker.top { margin-top: -15px; }
.staticMarker.top:after { top: 11px; }
.staticMarker.right { margin-left: 12px; }
.staticMarker.right:after { left: -16px; }
.staticMarker.left:after { right: -14px }
.staticMarker.left {
  transform:translateX(-100%);
  margin-left: -9px;
}

.tripMarker {
  font-size: 15px;
  position: absolute;
  color: white;
  text-shadow: 2px 2px 4px #000000;
}

.tripMarker.future {
  color: lightgray;
}

.tripMarker:after {
  position: absolute;
  width: 10px;
  height: 10px;
  content: '';
  background: #fff;
  border-radius: 50%;
  top: -4px;
}

.tripMarker.left.cross:after { right: -2px; }
.tripMarker.right.cross:after { left: -19px; }
.tripMarker.top { margin-top: -15px; }
.tripMarker.top:after { top: 11px; }
.tripMarker.right { margin-left: 12px; }
.tripMarker.right:after { left: -16px; }
.tripMarker.left:after { right: -14px }
.tripMarker.left {
  transform:translateX(-100%);
  margin-left: -9px;
}

.tripMarker.visited:after {
  background-color: white;
}

.tripMarker.active:after {
    background-color: white;
    opacity: 0;
    animation: scaleIn 1s infinite cubic-bezier(.36, .11, .89, .32);
  }

.tripMarker.future:after {
    background-color: lightgrey;
  }
  
  @keyframes scaleIn {
    from {
      transform: scale(1, 1);
      opacity: 1;
    }
    to {
      transform: scale(2, 2);
      opacity: .3;
    }
  }

.background-map {
  visibility:hidden;
  opacity:0;
  transition:visibility 0.5s linear,opacity 0.5s linear;
}

.fadein {
  visibility:visible;
  opacity:1;
}

#legals {
  position: absolute;
  bottom: 5px;
  right: 10px;
  color: lightgray;
  font-size: 12px;
  z-index: 2000;
}

#legals .legalDetails {
  visibility: hidden;
  background-color:rgba(80, 80, 80, 0.5);
  color: lightgray;
  text-align: center;
  border-radius: 6px;
  position: absolute;
  bottom: 20px;
  right: 10px;
  z-index: 2000;
}

#legals:hover .legalDetails {
  visibility: visible;
}

.sectionContent {
  display: none;
} 


#cross{
  position: absolute;
  margin: -15px;
  width: 30px;
  height: 30px;
  pointer-events: none;
  z-index: 9;
}
#cross:before, #cross:after  {
  position: absolute;
  left: 15px;
  content: ' ';
  height: 30px;
  width: 1px;
  background-color: white;
  pointer-events: none;
}
#cross:before {
  transform: rotate(90deg);
}



#editWrapper {
  overflow: hidden;
  border: 1px solid #ccc;
  background-color: #f1f1f1;
}

#editWrapper button {
  background-color: inherit;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 12px 8px;
  transition: 0.3s;
}

.xyz {
  float: right;
  max-width: 35%;
  padding: 12px 12px;
  grid-gap: .2em 1em;
}

#editWrapper button:hover {
  background-color: #ddd;
}

#editWrapper button.active {
  background-color: #ccc;
}

.editContent {
  display: none;
  padding: 6px 12px;
  border: 1px solid #ccc;
  border-top: none;
}

#editPanel {
  width: 600px;
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.2);
  padding: 10px;
  background: #eee;
  box-sizing: border-box;
}

.myForm {
    display: grid; 
    grid-gap: .2em 1em;
    padding: .2em;
  }

.col1 {
  	grid-template-columns: 1fr;  
  }

.col2 {
  display: grid;
  	grid-template-columns: 1fr 1fr;  
  }

.col51 {
  	grid-template-columns: 5fr 1fr;  
}

.col21 {
    display: grid;
    grid-gap: 0;
  	grid-template-columns: 2fr 1fr;  
  }

  .col13 {
    display: grid;
  	grid-template-columns: 1fr 3fr;  
  }

.col31 {
    display: grid;
  	grid-template-columns: 3fr 1fr;  
  }

.col3 {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  padding-left: 0;
  padding-right: 0;
  }

  .col4 {
  	grid-template-columns: 1fr 1fr 1fr 1fr;
  padding-left: 0;
  padding-right: 0;
  }

  .myForm button, .myForm input, .myForm select, .myForm textarea {
    font-size: 14px;
  }
  .myForm textarea {
    height: 100% - 1.5em;
    }
  .myForm button {
    background: gray;
    color: white;
    }
  .myForm input:not([type=radio]):not([type=checkbox]), 
  .myForm textarea, 
  .myForm select {
   	width: 100%;
    border: 0;
  }
  .myForm label {
   display: block;
   font-size: 12px;
  }
  fieldset {
    border: 0;
  }
.quarters {
  display:grid;
  grid-template-columns: 50% 50%;
  grid-template-rows: 50% 50%;
  grid-column-gap: 5%;
  grid-row-gap: 5%;
  padding-left: 0.4em;
}
.quarter {
  display:flex;
  background: #fff;
  cursor: pointer;
}

#instructions {
    grid-area: instructions;
}

.js-section-edit{
  margin: 2em 0 3em;
}

.js-section-edit input, textarea {
  width: 100%;
  resize: vertical;
}

.editButtons {
  margin-top: 20px;
}

.editButtons button {
  margin-left: 10px;
}

